# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetNextValidElementIndex

Function

Returns the index of the next valid element.

Syntax
`
#include <dx/dx.h>
`

int DXGetNextValidElementIndex(InvalidComponentHandle handle)

Functional Details

Returns the index of the next valid element after the index returned on the prior call (or zero, if this is the first call), given invalid-component handle `handle`.

Return Value

Returns the index of the next valid element or returns -1 if there are no more valid elements.

See Also

`DXCreateInvalidComponentHandle, DXFreeInvalidComponentHandle`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]